Subject: Re: lan78xx and phy_state_machine

From: Andrew Lunn <[email-masked]>
Date: Tue, 15 Oct 2019 02:14:59 +0200

On Mon, Oct 14, 2019 at 05:30:04PM +0100, Russell King - ARM Linux admin wrote:
> On Mon, Oct 14, 2019 at 04:06:04PM +0200, Daniel Wagner wrote:
> > Hi,
> > 
> > I've trying to boot a RPi 3 Model B+ in 64 bit mode. While I can get
> > my configuratin booting with v5.2.20, the current kernel v5.3.6 hangs
> > when initializing the eth interface.
> > 
> > Is this a know issue? Some configuration issues?
> 
> I don't see any successfully probed ethernet devices in the boot log, so
> I've no idea which of the multitude of ethernet drivers to look at.

Hi Russell

> > [    3.281367] usb 1-1.1.1: new high-speed USB device number 4 using dwc2
> > [    3.652279] lan78xx 1-1.1.1:1.0 (unnamed net_device) (uninitialized): No External EEPROM. Setting MAC Speed

This is the Ethernet driver which makes most sense.

> > [    3.663653] libphy: lan78xx-mdiobus: probed

And this fits with a PHY device being probed.

But it does pass a adjust_link callback to phy_connect_direct(). So
this is a bit odd. I don't see anything obviously kicking off the
state machine until the device is opened. And as you said, i don't
think it is even registered yet.

      Andrew

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel